Bug 606530 - Delete multiple bundles resulted in deadlock
Delete multiple bundles resulted in deadlock
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-06-21 17:00 EDT by Jay Shaughnessy
Modified: 2011-05-23 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Oracle 10g XE
Last Closed: 2011-05-23 21:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the trace (9.63 KB, text/x-log)
2010-06-21 17:00 EDT, Jay Shaughnessy
no flags Details

  None (edit)
Description Jay Shaughnessy 2010-06-21 17:00:42 EDT
Created attachment 425749 [details]
the trace

I had two bundles in my system.  I selected both in the bundle list view and clicked delete.  The server log showed the attached deadlock error.  One of the bundles did seem to get deleted.

The workaround would be to delete bundles one at a time.
Comment 1 John Mazzitelli 2010-12-20 15:08:34 EST
git commit 3ddf5894f46a62d894a099d20db329e599fac42d

there is a new bundle manager API deleteBundles that lets the client give an array of bundle IDs and let the SLSB do the deletes. this avoids the client performing multiple async calls to the delete method thus causing the deadlock. i tested and deleting two bundles worked fine.
Comment 2 Sunil Kondkar 2011-02-15 07:25:51 EST
Verified on build#1010 (Version: 4.0.0-SNAPSHOT  Build Number: ec5b64e)

Uploaded two bundle files. Selected both bundles in list view and clicked on 'Delete'. Both the bundles got deleted. The server did not show any error.

Marking this bug as verified.
Comment 3 Corey Welton 2011-05-23 21:09:48 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.